/* $Id: strlwr.c,v 1.3 2001/04/18 00:11:26 richdawe Exp $ */

/*
 *  strlwr.c - Lowercase a string
 *  Copyright (C) 1999-2001 by Richard Dawe
 *      
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "common.h"

#ifndef HAVE_STRLWR

#include <ctype.h>
#include <string.h>

#include "strlwr.h"

/* ----------
 * - strlwr -
 * ---------- */

char *
strlwr (char *string)
{
  char *r = string;
  if (string == NULL) return(NULL);
  while (*r != '\0') { *r = (char) tolower(*r), r++; }
  return(string);
}

#endif
